## Index

### Namespaces

- <internal>

### Classes

- OjAccordion
- OjActionCard
- OjButton
- OjButtonsetMany
- OjButtonsetOne
- OjChart
- OjCheckboxset
- OjCollapsible
- OjColorPalette
- OjColorSpectrum
- OjComboboxMany
- OjComboboxOne
- OjConveyorBelt
- OjDataGrid
- OjDatePicker
- OjDateTimePicker
- OjDiagram
- OjDialog
- OjDrawerLayout
- OjDrawerPopup
- OjFilePicker
- OjFilmStrip
- OjGantt
- OjIndexer
- OjInputDate
- OjInputDateTime
- OjInputNumber
- OjInputPassword
- OjInputSearch
- OjInputText
- OjInputTime
- OjLabel
- OjLedGauge
- OjLegend
- OjListView
- OjMasonryLayout
- OjMenu
- OjMenuButton
- OjMessage
- OjNBox
- OjNavigationList
- OjPagingControl
- OjPictoChart
- OjPopup
- OjProgress
- OjProgressList
- OjRadioset
- OjRatingGauge
- OjRefresher
- OjRowExpander
- OjSelectMany
- OjSelectOne
- OjSelectSingle
- OjSelector
- OjSlider
- OjSparkChart
- OjStatusMeterGauge
- OjStreamList
- OjSunburst
- OjSwipeActions
- OjSwitch
- OjTabBar
- OjTable
- OjTagCloud
- OjTextArea
- OjThematicMap
- OjTimeAxis
- OjTimeline
- OjTrain
- OjTreeView
- OjTreemap
- OjWaterfallLayout
- OjWebElement

### Functions

- ojAccordion
- ojActionCard
- ojButton
- ojButtonsetMany
- ojButtonsetOne
- ojChart
- ojCheckboxset
- ojCollapsible
- ojColorPalette
- ojColorSpectrum
- ojComboboxMany
- ojComboboxOne
- ojConveyorBelt
- ojDataGrid
- ojDatePicker
- ojDateTimePicker
- ojDiagram
- ojDialog
- ojDrawerLayout
- ojDrawerPopup
- ojFilePicker
- ojFilmStrip
- ojGantt
- ojIndexer
- ojInputDate
- ojInputDateTime
- ojInputNumber
- ojInputPassword
- ojInputSearch
- ojInputText
- ojInputTime
- ojLabel
- ojLedGauge
- ojLegend
- ojListView
- ojMasonryLayout
- ojMenu
- ojMenuButton
- ojMessage
- ojNBox
- ojNavigationList
- ojPagingControl
- ojPictoChart
- ojPopup
- ojProgress
- ojProgressList
- ojRadioset
- ojRatingGauge
- ojRefresher
- ojRowExpander
- ojSelectMany
- ojSelectOne
- ojSelectSingle
- ojSelector
- ojSlider
- ojSparkChart
- ojStatusMeterGauge
- ojStreamList
- ojSunburst
- ojSwipeActions
- ojSwitch
- ojTabBar
- ojTable
- ojTagCloud
- ojTextArea
- ojThematicMap
- ojTimeAxis
- ojTimeline
- ojTrain
- ojTreeView
- ojTreemap
- ojWaterfallLayout
- ojWebElement

## Functions

### ojAccordion

- ojAccordion(driver: DriverLike, by: By): Promise<OjAccordion>

- Retrieve an instance of OjAccordion.

  example

        import { ojAccordion } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojAccordion(driver, By.id('my-oj-accordion'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjAccordion>

### ojActionCard

- ojActionCard(driver: DriverLike, by: By): Promise<OjActionCard>

- Retrieve an instance of OjActionCard.

  example

        import { ojActionCard } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojActionCard(driver, By.id('my-oj-action-card'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjActionCard>

### ojButton

- ojButton(driver: DriverLike, by: By): Promise<OjButton>

- Retrieve an instance of OjButton.

  example

        import { ojButton } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojButton(driver, By.id('my-oj-button'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjButton>

### ojButtonsetMany

- ojButtonsetMany(driver: DriverLike, by: By): Promise<OjButtonsetMany>

- Retrieve an instance of OjButtonsetMany.

  example

        import { ojButtonsetMany } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojButtonsetMany(driver, By.id('my-oj-buttonset-many'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjButtonsetMany>

### ojButtonsetOne

- ojButtonsetOne(driver: DriverLike, by: By): Promise<OjButtonsetOne>

- Retrieve an instance of OjButtonsetOne.

  example

        import { ojButtonsetOne } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojButtonsetOne(driver, By.id('my-oj-buttonset-one'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjButtonsetOne>

### ojChart

- ojChart(driver: DriverLike, by: By): Promise<OjChart>

- Retrieve an instance of OjChart.

  example

        import { ojChart } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojChart(driver, By.id('my-oj-chart'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjChart>

### ojCheckboxset

- ojCheckboxset(driver: DriverLike, by: By): Promise<OjCheckboxset>

- Retrieve an instance of OjCheckboxset.

  example

        import { ojCheckboxset } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojCheckboxset(driver, By.id('my-oj-checkboxset'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjCheckboxset>

### ojCollapsible

- ojCollapsible(driver: DriverLike, by: By): Promise<OjCollapsible>

- Retrieve an instance of OjCollapsible.

  example

        import { ojCollapsible } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojCollapsible(driver, By.id('my-oj-collapsible'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjCollapsible>

### ojColorPalette

- ojColorPalette(driver: DriverLike, by: By): Promise<OjColorPalette>

- Retrieve an instance of OjColorPalette.

  example

        import { ojColorPalette } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojColorPalette(driver, By.id('my-oj-color-palette'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjColorPalette>

### ojColorSpectrum

- ojColorSpectrum(driver: DriverLike, by: By): Promise<OjColorSpectrum>

- Retrieve an instance of OjColorSpectrum.

  example

        import { ojColorSpectrum } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojColorSpectrum(driver, By.id('my-oj-color-spectrum'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjColorSpectrum>

### ojComboboxMany

- ojComboboxMany(driver: DriverLike, by: By): Promise<OjComboboxMany>

- Retrieve an instance of OjComboboxMany.

  example

        import { ojComboboxMany } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojComboboxMany(driver, By.id('my-oj-combobox-many'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjComboboxMany>

### ojComboboxOne

- ojComboboxOne(driver: DriverLike, by: By): Promise<OjComboboxOne>

- Retrieve an instance of OjComboboxOne.

  example

        import { ojComboboxOne } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojComboboxOne(driver, By.id('my-oj-combobox-one'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjComboboxOne>

### ojConveyorBelt

- ojConveyorBelt(driver: DriverLike, by: By): Promise<OjConveyorBelt>

- Retrieve an instance of OjConveyorBelt.

  example

        import { ojConveyorBelt } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojConveyorBelt(driver, By.id('my-oj-conveyor-belt'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjConveyorBelt>

### ojDataGrid

- ojDataGrid(driver: DriverLike, by: By): Promise<OjDataGrid>

- Retrieve an instance of OjDataGrid.

  example

        import { ojDataGrid } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojDataGrid(driver, By.id('my-oj-data-grid'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjDataGrid>

### ojDatePicker

- ojDatePicker(driver: DriverLike, by: By): Promise<OjDatePicker>

- Retrieve an instance of OjDatePicker.

  example

        import { ojDatePicker } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojDatePicker(driver, By.id('my-oj-date-picker'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjDatePicker>

### ojDateTimePicker

- ojDateTimePicker(driver: DriverLike, by: By): Promise<OjDateTimePicker>

- Retrieve an instance of OjDateTimePicker.

  example

        import { ojDateTimePicker } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojDateTimePicker(driver, By.id('my-oj-date-time-picker'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjDateTimePicker>

### ojDiagram

- ojDiagram(driver: DriverLike, by: By): Promise<OjDiagram>

- Retrieve an instance of OjDiagram.

  example

        import { ojDiagram } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojDiagram(driver, By.id('my-oj-diagram'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjDiagram>

### ojDialog

- ojDialog(driver: DriverLike, by: By): Promise<OjDialog>

- Retrieve an instance of OjDialog.

  example

        import { ojDialog } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojDialog(driver, By.id('my-oj-dialog'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjDialog>

### ojDrawerLayout

- ojDrawerLayout(driver: DriverLike, by: By): Promise<OjDrawerLayout>

- Retrieve an instance of OjDrawerLayout.

  example

        import { ojDrawerLayout } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojDrawerLayout(driver, By.id('my-oj-drawer-layout'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjDrawerLayout>

### ojDrawerPopup

- ojDrawerPopup(driver: DriverLike, by: By): Promise<OjDrawerPopup>

- Retrieve an instance of OjDrawerPopup.

  example

        import { ojDrawerPopup } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojDrawerPopup(driver, By.id('my-oj-drawer-popup'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjDrawerPopup>

### ojFilePicker

- ojFilePicker(driver: DriverLike, by: By): Promise<OjFilePicker>

- Retrieve an instance of OjFilePicker.

  example

        import { ojFilePicker } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojFilePicker(driver, By.id('my-oj-file-picker'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjFilePicker>

### ojFilmStrip

- ojFilmStrip(driver: DriverLike, by: By): Promise<OjFilmStrip>

- Retrieve an instance of OjFilmStrip.

  example

        import { ojFilmStrip } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojFilmStrip(driver, By.id('my-oj-film-strip'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjFilmStrip>

### ojGantt

- ojGantt(driver: DriverLike, by: By): Promise<OjGantt>

- Retrieve an instance of OjGantt.

  example

        import { ojGantt } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojGantt(driver, By.id('my-oj-gantt'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjGantt>

### ojIndexer

- ojIndexer(driver: DriverLike, by: By): Promise<OjIndexer>

- Retrieve an instance of OjIndexer.

  example

        import { ojIndexer } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojIndexer(driver, By.id('my-oj-indexer'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjIndexer>

### ojInputDate

- ojInputDate(driver: DriverLike, by: By): Promise<OjInputDate>

- Retrieve an instance of OjInputDate.

  example

        import { ojInputDate } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojInputDate(driver, By.id('my-oj-input-date'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjInputDate>

### ojInputDateTime

- ojInputDateTime(driver: DriverLike, by: By): Promise<OjInputDateTime>

- Retrieve an instance of OjInputDateTime.

  example

        import { ojInputDateTime } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojInputDateTime(driver, By.id('my-oj-input-date-time'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjInputDateTime>

### ojInputNumber

- ojInputNumber(driver: DriverLike, by: By): Promise<OjInputNumber>

- Retrieve an instance of OjInputNumber.

  example

        import { ojInputNumber } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojInputNumber(driver, By.id('my-oj-input-number'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjInputNumber>

### ojInputPassword

- ojInputPassword(driver: DriverLike, by: By): Promise<OjInputPassword>

- Retrieve an instance of OjInputPassword.

  example

        import { ojInputPassword } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojInputPassword(driver, By.id('my-oj-input-password'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjInputPassword>

### ojInputSearch

- ojInputSearch(driver: DriverLike, by: By): Promise<OjInputSearch>

- Retrieve an instance of OjInputSearch.

  example

        import { ojInputSearch } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojInputSearch(driver, By.id('my-oj-input-search'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjInputSearch>

### ojInputText

- ojInputText(driver: DriverLike, by: By): Promise<OjInputText>

- Retrieve an instance of OjInputText.

  example

        import { ojInputText } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojInputText(driver, By.id('my-oj-input-text'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjInputText>

### ojInputTime

- ojInputTime(driver: DriverLike, by: By): Promise<OjInputTime>

- Retrieve an instance of OjInputTime.

  example

        import { ojInputTime } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojInputTime(driver, By.id('my-oj-input-time'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjInputTime>

### ojLabel

- ojLabel(driver: DriverLike, by: By): Promise<OjLabel>

- Retrieve an instance of OjLabel.

  example

        import { ojLabel } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojLabel(driver, By.id('my-oj-label'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjLabel>

### ojLedGauge

- ojLedGauge(driver: DriverLike, by: By): Promise<OjLedGauge>

- Retrieve an instance of OjLedGauge.

  example

        import { ojLedGauge } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojLedGauge(driver, By.id('my-oj-led-gauge'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjLedGauge>

### ojLegend

- ojLegend(driver: DriverLike, by: By): Promise<OjLegend>

- Retrieve an instance of OjLegend.

  example

        import { ojLegend } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojLegend(driver, By.id('my-oj-legend'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjLegend>

### ojListView

- ojListView(driver: DriverLike, by: By): Promise<OjListView>

- Retrieve an instance of OjListView.

  example

        import { ojListView } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojListView(driver, By.id('my-oj-list-view'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjListView>

### ojMasonryLayout

- ojMasonryLayout(driver: DriverLike, by: By): Promise<OjMasonryLayout>

- Retrieve an instance of OjMasonryLayout.

  example

        import { ojMasonryLayout } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojMasonryLayout(driver, By.id('my-oj-masonry-layout'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjMasonryLayout>

### ojMenu

- ojMenu(driver: DriverLike, by: By): Promise<OjMenu>

- Retrieve an instance of OjMenu.

  example

        import { ojMenu } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojMenu(driver, By.id('my-oj-menu'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjMenu>

### ojMenuButton

- ojMenuButton(driver: DriverLike, by: By): Promise<OjMenuButton>

- Retrieve an instance of OjMenuButton.

  example

        import { ojMenuButton } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojMenuButton(driver, By.id('my-oj-menu-button'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjMenuButton>

### ojMessage

- ojMessage(driver: DriverLike, by: By): Promise<OjMessage>

- Retrieve an instance of OjMessage.

  example

        import { ojMessage } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojMessage(driver, By.id('my-oj-message'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjMessage>

### ojNBox

- ojNBox(driver: DriverLike, by: By): Promise<OjNBox>

- Retrieve an instance of OjNBox.

  example

        import { ojNBox } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojNBox(driver, By.id('my-oj-n-box'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjNBox>

### ojNavigationList

- ojNavigationList(driver: DriverLike, by: By): Promise<OjNavigationList>

- Retrieve an instance of OjNavigationList.

  example

        import { ojNavigationList } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojNavigationList(driver, By.id('my-oj-navigation-list'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjNavigationList>

### ojPagingControl

- ojPagingControl(driver: DriverLike, by: By): Promise<OjPagingControl>

- Retrieve an instance of OjPagingControl.

  example

        import { ojPagingControl } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojPagingControl(driver, By.id('my-oj-paging-control'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjPagingControl>

### ojPictoChart

- ojPictoChart(driver: DriverLike, by: By): Promise<OjPictoChart>

- Retrieve an instance of OjPictoChart.

  example

        import { ojPictoChart } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojPictoChart(driver, By.id('my-oj-picto-chart'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjPictoChart>

### ojPopup

- ojPopup(driver: DriverLike, by: By): Promise<OjPopup>

- Retrieve an instance of OjPopup.

  example

        import { ojPopup } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojPopup(driver, By.id('my-oj-popup'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjPopup>

### ojProgress

- ojProgress(driver: DriverLike, by: By): Promise<OjProgress>

- Retrieve an instance of OjProgress.

  example

        import { ojProgress } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojProgress(driver, By.id('my-oj-progress'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjProgress>

### ojProgressList

- ojProgressList(driver: DriverLike, by: By): Promise<OjProgressList>

- Retrieve an instance of OjProgressList.

  example

        import { ojProgressList } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojProgressList(driver, By.id('my-oj-progress-list'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjProgressList>

### ojRadioset

- ojRadioset(driver: DriverLike, by: By): Promise<OjRadioset>

- Retrieve an instance of OjRadioset.

  example

        import { ojRadioset } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojRadioset(driver, By.id('my-oj-radioset'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjRadioset>

### ojRatingGauge

- ojRatingGauge(driver: DriverLike, by: By): Promise<OjRatingGauge>

- Retrieve an instance of OjRatingGauge.

  example

        import { ojRatingGauge } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojRatingGauge(driver, By.id('my-oj-rating-gauge'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjRatingGauge>

### ojRefresher

- ojRefresher(driver: DriverLike, by: By): Promise<OjRefresher>

- Retrieve an instance of OjRefresher.

  example

        import { ojRefresher } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojRefresher(driver, By.id('my-oj-refresher'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjRefresher>

### ojRowExpander

- ojRowExpander(driver: DriverLike, by: By): Promise<OjRowExpander>

- Retrieve an instance of OjRowExpander.

  example

        import { ojRowExpander } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojRowExpander(driver, By.id('my-oj-row-expander'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjRowExpander>

### ojSelectMany

- ojSelectMany(driver: DriverLike, by: By): Promise<OjSelectMany>

- Retrieve an instance of OjSelectMany.

  example

        import { ojSelectMany } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojSelectMany(driver, By.id('my-oj-select-many'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjSelectMany>

### ojSelectOne

- ojSelectOne(driver: DriverLike, by: By): Promise<OjSelectOne>

- Retrieve an instance of OjSelectOne.

  example

        import { ojSelectOne } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojSelectOne(driver, By.id('my-oj-select-one'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjSelectOne>

### ojSelectSingle

- ojSelectSingle(driver: DriverLike, by: By): Promise<OjSelectSingle>

- Retrieve an instance of OjSelectSingle.

  example

        import { ojSelectSingle } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojSelectSingle(driver, By.id('my-oj-select-single'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjSelectSingle>

### ojSelector

- ojSelector(driver: DriverLike, by: By): Promise<OjSelector>

- Retrieve an instance of OjSelector.

  example

        import { ojSelector } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojSelector(driver, By.id('my-oj-selector'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjSelector>

### ojSlider

- ojSlider(driver: DriverLike, by: By): Promise<OjSlider>

- Retrieve an instance of OjSlider.

  example

        import { ojSlider } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojSlider(driver, By.id('my-oj-slider'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjSlider>

### ojSparkChart

- ojSparkChart(driver: DriverLike, by: By): Promise<OjSparkChart>

- Retrieve an instance of OjSparkChart.

  example

        import { ojSparkChart } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojSparkChart(driver, By.id('my-oj-spark-chart'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjSparkChart>

### ojStatusMeterGauge

- ojStatusMeterGauge(driver: DriverLike, by: By): Promise<OjStatusMeterGauge>

- Retrieve an instance of OjStatusMeterGauge.

  example

        import { ojStatusMeterGauge } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojStatusMeterGauge(driver, By.id('my-oj-status-meter-gauge'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjStatusMeterGauge>

### ojStreamList

- ojStreamList(driver: DriverLike, by: By): Promise<OjStreamList>

- Retrieve an instance of OjStreamList.

  example

        import { ojStreamList } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojStreamList(driver, By.id('my-oj-stream-list'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjStreamList>

### ojSunburst

- ojSunburst(driver: DriverLike, by: By): Promise<OjSunburst>

- Retrieve an instance of OjSunburst.

  example

        import { ojSunburst } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojSunburst(driver, By.id('my-oj-sunburst'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjSunburst>

### ojSwipeActions

- ojSwipeActions(driver: DriverLike, by: By): Promise<OjSwipeActions>

- Retrieve an instance of OjSwipeActions.

  example

        import { ojSwipeActions } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojSwipeActions(driver, By.id('my-oj-swipe-actions'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjSwipeActions>

### ojSwitch

- ojSwitch(driver: DriverLike, by: By): Promise<OjSwitch>

- Retrieve an instance of OjSwitch.

  example

        import { ojSwitch } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojSwitch(driver, By.id('my-oj-switch'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjSwitch>

### ojTabBar

- ojTabBar(driver: DriverLike, by: By): Promise<OjTabBar>

- Retrieve an instance of OjTabBar.

  example

        import { ojTabBar } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojTabBar(driver, By.id('my-oj-tab-bar'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjTabBar>

### ojTable

- ojTable(driver: DriverLike, by: By): Promise<OjTable>

- Retrieve an instance of OjTable.

  example

        import { ojTable } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojTable(driver, By.id('my-oj-table'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjTable>

### ojTagCloud

- ojTagCloud(driver: DriverLike, by: By): Promise<OjTagCloud>

- Retrieve an instance of OjTagCloud.

  example

        import { ojTagCloud } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojTagCloud(driver, By.id('my-oj-tag-cloud'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjTagCloud>

### ojTextArea

- ojTextArea(driver: DriverLike, by: By): Promise<OjTextArea>

- Retrieve an instance of OjTextArea.

  example

        import { ojTextArea } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojTextArea(driver, By.id('my-oj-text-area'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjTextArea>

### ojThematicMap

- ojThematicMap(driver: DriverLike, by: By): Promise<OjThematicMap>

- Retrieve an instance of OjThematicMap.

  example

        import { ojThematicMap } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojThematicMap(driver, By.id('my-oj-thematic-map'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjThematicMap>

### ojTimeAxis

- ojTimeAxis(driver: DriverLike, by: By): Promise<OjTimeAxis>

- Retrieve an instance of OjTimeAxis.

  example

        import { ojTimeAxis } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojTimeAxis(driver, By.id('my-oj-time-axis'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjTimeAxis>

### ojTimeline

- ojTimeline(driver: DriverLike, by: By): Promise<OjTimeline>

- Retrieve an instance of OjTimeline.

  example

        import { ojTimeline } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojTimeline(driver, By.id('my-oj-timeline'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjTimeline>

### ojTrain

- ojTrain(driver: DriverLike, by: By): Promise<OjTrain>

- Retrieve an instance of OjTrain.

  example

        import { ojTrain } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojTrain(driver, By.id('my-oj-train'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjTrain>

### ojTreeView

- ojTreeView(driver: DriverLike, by: By): Promise<OjTreeView>

- Retrieve an instance of OjTreeView.

  example

        import { ojTreeView } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojTreeView(driver, By.id('my-oj-tree-view'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjTreeView>

### ojTreemap

- ojTreemap(driver: DriverLike, by: By): Promise<OjTreemap>

- Retrieve an instance of OjTreemap.

  example

        import { ojTreemap } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojTreemap(driver, By.id('my-oj-treemap'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjTreemap>

### ojWaterfallLayout

- ojWaterfallLayout(driver: DriverLike, by: By): Promise<OjWaterfallLayout>

- Retrieve an instance of OjWaterfallLayout.

  example

        import { ojWaterfallLayout } from '@oracle/oraclejet-webdriver/elements';
        const el = await ojWaterfallLayout(driver, By.id('my-oj-waterfall-layout'));

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance from where the element will be searched. If WebDriver is passed, the element will be searched globally in the document. If WebElement is passed, the search will be relative to this element.

  - ##### by: By

    The locator with which to find the element

  #### Returns Promise<OjWaterfallLayout>

### ojWebElement

- ojWebElement(driver: DriverLike, by: By): Promise<OjWebElement>

- Create an instance of OjWebElement. This function will first wait for the element to appear in the DOM before trying to locate it.

  #### Parameters

  - ##### driver: DriverLike

    A WebDriver/WebElement instance used to locate the component element.

  - ##### by: By

    The By locator with which to find the element

  #### Returns Promise<OjWebElement>

Generated using TypeDoc